diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 12aa2ce..f36c2e6 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -121005,8 +121005,9 @@ PatternMatchPolynomialCategory(S,E,V,R,P):Exports== Implementation where
         vmatch(v::V, p, l)
       (u := isPlus p) case List(PAT) =>
         (lx := isPlus x) case List(P) =>
-          patternMatch(lx::List(P), u::List(PAT), +/#1, l,
-                                       patternMatch(#1, #2, #3, vmatch))
+          patternMatch(lx::List(P), u::List(PAT), 
+            (l1:List(P)):P +-> +/l1, l, 
+              (p1:P,p2:PAT,p3:PRS):PRS +-> patternMatch(p1, p2, p3, vmatch))
         (u := optpair(u::List(PAT))) case List(PAT) =>
           failed?(l := addMatch(first(u::List(PAT)), 0, l)) => failed()
           patternMatch(x, second(u::List(PAT)), l, vmatch)
@@ -121014,7 +121015,7 @@ PatternMatchPolynomialCategory(S,E,V,R,P):Exports== Implementation where
       (u := isTimes p) case List(PAT) =>
         (lx := isTimes x) case List(P) =>
           patternMatchTimes(lx::List(P), u::List(PAT), l,
-                                       patternMatch(#1, #2, #3, vmatch))
+            (p1:P,p2:PAT,p3:PRS):PRS +-> patternMatch(p1, p2, p3, vmatch))
         (u := optpair(u::List(PAT))) case List(PAT) =>
           failed?(l := addMatch(first(u::List(PAT)), 1, l)) => failed()
           patternMatch(x, second(u::List(PAT)), l, vmatch)
diff --git a/changelog b/changelog
index 1f3044d..105731e 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090611 tpd src/axiom-website/patches.html 20090610.01.tpd.patch
+20090611 tpd books/bookvol10.4 PMPLCAT +-> conversion
 20090610 tpd src/axiom-website/patches.html 20090610.03.tpd.patch
 20090610 tpd books/bookvol10.4 INTPM +-> conversion
 20090610 tpd src/axiom-website/patches.html 20090610.02.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index dc2a0b6..5782635 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1537,5 +1537,7 @@ bookvol10.4 PMFS +-> conversion<br/>
 bookvol10.4 PMINS +-> conversion<br/>
 <a href="patches/20090610.03.tpd.patch">20090610.03.tpd.patch</a>
 bookvol10.4 INTPM +-> conversion<br/>
+<a href="patches/20090611.01.tpd.patch">20090611.01.tpd.patch</a>
+bookvol10.4 PMPLCAT +-> conversion<br/>
  </body>
 </html>
